#
# Utilities for building packages with SCons
#

if [ $PARALLEL_MAKE -gt 1 ]; then
	scons_j_option=-j$PARALLEL_MAKE
else
	scons_j_option=-j1
fi

scons_do_compile() { 
	log_exec $NATIVE_SYSROOT_LOC/usr/bin/scons ${scons_j_option} \
	         PREFIX=${prefix} prefix=${prefix} ${scons_other_flags}
}

scons_do_install() {
	log_exec $NATIVE_SYSROOT_LOC/usr/bin/scons \
	         install_root=${installDir}${prefix} \
	         PREFIX=${prefix} prefix=${prefix} ${scons_other_flags} install
}
