######################################################################################################################
#                                                                                                                    #
#                                                SQUASHFS Rootfs utilities                                           #
#                                                                                                                    #
######################################################################################################################


##################################################
# Generate the SQUASHFS image using squashfs
##################################################
squashfs_generate() {
	local imgRoot="$1"
	local imgType="${2:-squashfs}"
	local imgName="$3"
	echo "Creating SQUASHFS IMAGE in $imagesDir/$imgName.${imgType}"
	log_exec mksquashfs ${imgRoot} ${imagesDir}/${imgName}.${imgType} ${SQUASHFS_EXTRA_IMAGECMD} -noappend
}